org.eclipse.draw2d.graph

## Class EdgeList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - org.eclipse.draw2d.graph.EdgeList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class EdgeList
    extends java.util.ArrayList

A list of `Edge`s.

Since:
  2.1.2
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`EdgeList()`

### Method Summary

Methods
`Edge` `getEdge(int index)` Returns the edge for the given index.
`int` `getSlack()` For internal use only.
`int` `getSourceIndex(int i)` For intrenal use only.
`int` `getTargetIndex(int i)` For internal use only.
`int` `getWeight()` For internal use only.
`boolean` `isCompletelyFlagged()` For internal use only
`void` `resetFlags(boolean resetTree)` For internal use only.
`void` `setFlags(boolean value)` For internal use only.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Constructor Detail

#### EdgeList

    public EdgeList()

### Method Detail

#### getEdge

    public Edge getEdge(int index)

Returns the edge for the given index.

Parameters:
  `index` - the index of the requested edge
Returns:
  the edge at the given index

#### getSourceIndex

    public int getSourceIndex(int i)

For intrenal use only.

Parameters:
  `i` - and index
Returns:
  a value

#### getTargetIndex

    public int getTargetIndex(int i)

For internal use only.

Parameters:
  `i` - an index
Returns:
  a value

#### getSlack

    public int getSlack()

For internal use only.

Returns:
  the minimum slack for this edge list

#### getWeight

    public int getWeight()

For internal use only.

Returns:
  the total weight of all edges

#### isCompletelyFlagged

    public boolean isCompletelyFlagged()

For internal use only

Returns:
  `true` if completely flagged

#### resetFlags

    public void resetFlags(boolean resetTree)

For internal use only. Resets all flags.

Parameters:
  `resetTree` - internal

#### setFlags

    public void setFlags(boolean value)

For internal use only.

Parameters:
  `value` - value